For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/payment/payout‑period

get

Get payout period details

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payout_period_idintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/payment/payout-period
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'payout_period_id' => 1000
	);

$request = array(
	'method' => 'GET',
	'path' => 'payment/payout-period',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "payout_period": {
    "payout_period_id": "1000",
    "description": "test payout period description",
    "configuration": "w0",
    "delay": "1",
    "positive_pay_delay": "0",
    "negative_pay_delay": "0",
    "enabled": "1",
    "main": "0",
    "deleted": "0",
    "projection": "",
    "projection_padding": "0",
    "configuration_details": {
      "type": "week",
      "days": "0",
      "string": "Every Sunday"
    },
    "error": 0
  }
}
post

Add new payout period

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
descriptionstringRequired
configuration_typestringRequired
configuration_daysstringRequired
projection_typestringRequired
projection_daysstringOptional
projection_paddingintegerOptionalDefault: 0
delayintegerOptionalDefault: 0
positive_pay_delayintegerOptionalDefault: 0
negative_pay_delayintegerOptionalDefault: 0
enabledstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
post/api/payment/payout-period
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'description' => 'test payout period description',
		'configuration_type' => 'week',
		'configuration_days' => 0,
		'projection_type' => 'none',
		'projection_days' => array (
  0 => 2,
  1 => 4,
),
		'delay' => 1,
		'enabled' => 1
	);

$request = array(
	'method' => 'POST',
	'path' => 'payment/payout-period',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Payout period added",
  "payout_period_id": 1000
}
delete

delete payout period

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payout_period_idintegerRequired
Responses
200

success

successbooleanOptionalExample: true
delete/api/payment/payout-period
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'payout_period_id' => 1000
	);

$request = array(
	'method' => 'DELETE',
	'path' => 'payment/payout-period',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Payout period deleted"
}
patch

Edit payout period

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
payout_period_idintegerRequired
descriptionstringOptional
configuration_typestringOptionalDefault: --broken--
configuration_daysstringOptional
projection_typestringOptionalDefault: --broken--
projection_daysstringOptional
projection_paddingintegerOptional
delayintegerOptional
positive_pay_delayintegerOptional
negative_pay_delayintegerOptional
enabledstringOptional
Responses
200

success

successbooleanOptionalExample: true
patch/api/payment/payout-period
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'payout_period_id' => 1000,
		'description' => 'test payout period description',
		'delay' => 1,
		'enabled' => 1
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'payment/payout-period',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Payout period updated"
}

Last updated

Was this helpful?